Index: branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/AddAzureServiceDialog.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/AddAzureServiceDialog.Designer.cs	(revision 7676)
+++ branches/HeuristicLab.Hive.Azure/HeuristicLab.Clients.Hive.CloudManager/3.3/Views/AddAzureServiceDialog.Designer.cs	(revision 7709)
@@ -67,4 +67,12 @@
       this.gbDeploymentOptions = new System.Windows.Forms.GroupBox();
       this.gbVMSize = new System.Windows.Forms.GroupBox();
+      this.label7 = new System.Windows.Forms.Label();
+      this.label12 = new System.Windows.Forms.Label();
+      this.label13 = new System.Windows.Forms.Label();
+      this.label14 = new System.Windows.Forms.Label();
+      this.label15 = new System.Windows.Forms.Label();
+      this.label16 = new System.Windows.Forms.Label();
+      this.label17 = new System.Windows.Forms.Label();
+      this.label18 = new System.Windows.Forms.Label();
       this.gbNewHostedService.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
@@ -79,14 +87,14 @@
       this.label1.Location = new System.Drawing.Point(12, 9);
       this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(111, 13);
+      this.label1.Size = new System.Drawing.Size(114, 13);
       this.label1.TabIndex = 0;
-      this.label1.Text = "Choose a subscription";
+      this.label1.Text = "Choose a subscription:";
       // 
       // cmbChooseSubscription
       // 
       this.cmbChooseSubscription.FormattingEnabled = true;
-      this.cmbChooseSubscription.Location = new System.Drawing.Point(15, 25);
+      this.cmbChooseSubscription.Location = new System.Drawing.Point(154, 6);
       this.cmbChooseSubscription.Name = "cmbChooseSubscription";
-      this.cmbChooseSubscription.Size = new System.Drawing.Size(486, 21);
+      this.cmbChooseSubscription.Size = new System.Drawing.Size(347, 21);
       this.cmbChooseSubscription.TabIndex = 0;
       this.cmbChooseSubscription.SelectedValueChanged += new System.EventHandler(this.cmbChooseSubscription_SelectedValueChanged);
@@ -95,16 +103,17 @@
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(12, 49);
+      this.label2.Location = new System.Drawing.Point(12, 36);
       this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(124, 13);
+      this.label2.Size = new System.Drawing.Size(127, 13);
       this.label2.TabIndex = 1;
-      this.label2.Text = "Choose a hosted service";
+      this.label2.Text = "Choose a hosted service:";
       // 
       // cmbChooseHostedService
       // 
       this.cmbChooseHostedService.FormattingEnabled = true;
-      this.cmbChooseHostedService.Location = new System.Drawing.Point(15, 65);
+      this.errorProvider.SetIconAlignment(this.cmbChooseHostedService, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.cmbChooseHostedService.Location = new System.Drawing.Point(154, 33);
       this.cmbChooseHostedService.Name = "cmbChooseHostedService";
-      this.cmbChooseHostedService.Size = new System.Drawing.Size(486, 21);
+      this.cmbChooseHostedService.Size = new System.Drawing.Size(347, 21);
       this.cmbChooseHostedService.TabIndex = 1;
       this.cmbChooseHostedService.Validating += new System.ComponentModel.CancelEventHandler(this.cmbChooseHostedService_Validating);
@@ -122,7 +131,7 @@
       this.gbNewHostedService.Controls.Add(this.tbLabel);
       this.gbNewHostedService.Controls.Add(this.label3);
-      this.gbNewHostedService.Location = new System.Drawing.Point(15, 115);
+      this.gbNewHostedService.Location = new System.Drawing.Point(15, 81);
       this.gbNewHostedService.Name = "gbNewHostedService";
-      this.gbNewHostedService.Size = new System.Drawing.Size(486, 145);
+      this.gbNewHostedService.Size = new System.Drawing.Size(486, 122);
       this.gbNewHostedService.TabIndex = 3;
       this.gbNewHostedService.TabStop = false;
@@ -132,7 +141,8 @@
       // 
       this.cmbAffinityGroup.FormattingEnabled = true;
-      this.cmbAffinityGroup.Location = new System.Drawing.Point(267, 110);
+      this.errorProvider.SetIconAlignment(this.cmbAffinityGroup, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.cmbAffinityGroup.Location = new System.Drawing.Point(204, 92);
       this.cmbAffinityGroup.Name = "cmbAffinityGroup";
-      this.cmbAffinityGroup.Size = new System.Drawing.Size(194, 21);
+      this.cmbAffinityGroup.Size = new System.Drawing.Size(276, 21);
       this.cmbAffinityGroup.TabIndex = 9;
       // 
@@ -140,7 +150,8 @@
       // 
       this.cmbLocation.FormattingEnabled = true;
-      this.cmbLocation.Location = new System.Drawing.Point(29, 110);
+      this.errorProvider.SetIconAlignment(this.cmbLocation, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.cmbLocation.Location = new System.Drawing.Point(204, 65);
       this.cmbLocation.Name = "cmbLocation";
-      this.cmbLocation.Size = new System.Drawing.Size(200, 21);
+      this.cmbLocation.Size = new System.Drawing.Size(276, 21);
       this.cmbLocation.TabIndex = 7;
       // 
@@ -148,5 +159,5 @@
       // 
       this.rbAffinitGroup.AutoSize = true;
-      this.rbAffinitGroup.Location = new System.Drawing.Point(247, 113);
+      this.rbAffinitGroup.Location = new System.Drawing.Point(184, 95);
       this.rbAffinitGroup.Name = "rbAffinitGroup";
       this.rbAffinitGroup.Size = new System.Drawing.Size(14, 13);
@@ -158,5 +169,5 @@
       this.rbRegion.AutoSize = true;
       this.rbRegion.Checked = true;
-      this.rbRegion.Location = new System.Drawing.Point(9, 113);
+      this.rbRegion.Location = new System.Drawing.Point(184, 68);
       this.rbRegion.Name = "rbRegion";
       this.rbRegion.Size = new System.Drawing.Size(14, 13);
@@ -168,14 +179,14 @@
       // 
       this.label6.AutoSize = true;
-      this.label6.Location = new System.Drawing.Point(6, 94);
+      this.label6.Location = new System.Drawing.Point(6, 68);
       this.label6.Name = "label6";
-      this.label6.Size = new System.Drawing.Size(159, 13);
+      this.label6.Size = new System.Drawing.Size(162, 13);
       this.label6.TabIndex = 5;
-      this.label6.Text = "Choose a region or affinity group";
+      this.label6.Text = "Choose a region or affinity group:";
       // 
       // label5
       // 
       this.label5.AutoSize = true;
-      this.label5.Location = new System.Drawing.Point(389, 74);
+      this.label5.Location = new System.Drawing.Point(408, 42);
       this.label5.Name = "label5";
       this.label5.Size = new System.Drawing.Size(72, 13);
@@ -185,7 +196,8 @@
       // tbServiceName
       // 
-      this.tbServiceName.Location = new System.Drawing.Point(9, 71);
+      this.errorProvider.SetIconAlignment(this.tbServiceName, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.tbServiceName.Location = new System.Drawing.Point(184, 39);
       this.tbServiceName.Name = "tbServiceName";
-      this.tbServiceName.Size = new System.Drawing.Size(377, 20);
+      this.tbServiceName.Size = new System.Drawing.Size(223, 20);
       this.tbServiceName.TabIndex = 3;
       this.tbServiceName.Validating += new System.ComponentModel.CancelEventHandler(this.tbServiceName_Validating);
@@ -194,15 +206,16 @@
       // 
       this.label4.AutoSize = true;
-      this.label4.Location = new System.Drawing.Point(6, 55);
+      this.label4.Location = new System.Drawing.Point(6, 42);
       this.label4.Name = "label4";
-      this.label4.Size = new System.Drawing.Size(169, 13);
+      this.label4.Size = new System.Drawing.Size(172, 13);
       this.label4.TabIndex = 2;
-      this.label4.Text = "Enter a URL prefix for your service";
+      this.label4.Text = "Enter a URL prefix for your service:";
       // 
       // tbLabel
       // 
-      this.tbLabel.Location = new System.Drawing.Point(9, 32);
+      this.errorProvider.SetIconAlignment(this.tbLabel, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.tbLabel.Location = new System.Drawing.Point(184, 13);
       this.tbLabel.Name = "tbLabel";
-      this.tbLabel.Size = new System.Drawing.Size(453, 20);
+      this.tbLabel.Size = new System.Drawing.Size(296, 20);
       this.tbLabel.TabIndex = 1;
       this.tbLabel.Validating += new System.ComponentModel.CancelEventHandler(this.tbLabel_Validating);
@@ -213,16 +226,15 @@
       this.label3.Location = new System.Drawing.Point(6, 16);
       this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(145, 13);
+      this.label3.Size = new System.Drawing.Size(148, 13);
       this.label3.TabIndex = 0;
-      this.label3.Text = "Enter a name for your service";
+      this.label3.Text = "Enter a name for your service:";
       // 
       // cbNewHostedService
       // 
       this.cbNewHostedService.AutoSize = true;
-      this.cbNewHostedService.Location = new System.Drawing.Point(15, 92);
+      this.cbNewHostedService.Location = new System.Drawing.Point(154, 60);
       this.cbNewHostedService.Name = "cbNewHostedService";
-      this.cbNewHostedService.Size = new System.Drawing.Size(152, 17);
+      this.cbNewHostedService.Size = new System.Drawing.Size(15, 14);
       this.cbNewHostedService.TabIndex = 2;
-      this.cbNewHostedService.Text = "Create new hosted service";
       this.cbNewHostedService.UseVisualStyleBackColor = true;
       this.cbNewHostedService.CheckedChanged += new System.EventHandler(this.cbNewHostedService_CheckedChanged);
@@ -231,10 +243,9 @@
       // 
       this.rbDeployToProduction.AutoSize = true;
-      this.rbDeployToProduction.Location = new System.Drawing.Point(9, 42);
+      this.rbDeployToProduction.Location = new System.Drawing.Point(189, 38);
       this.rbDeployToProduction.Name = "rbDeployToProduction";
-      this.rbDeployToProduction.Size = new System.Drawing.Size(189, 17);
+      this.rbDeployToProduction.Size = new System.Drawing.Size(14, 13);
       this.rbDeployToProduction.TabIndex = 1;
       this.rbDeployToProduction.TabStop = true;
-      this.rbDeployToProduction.Text = "Deyploy to production environment";
       this.rbDeployToProduction.UseVisualStyleBackColor = true;
       // 
@@ -243,15 +254,14 @@
       this.rbDeployToStaging.AutoSize = true;
       this.rbDeployToStaging.Checked = true;
-      this.rbDeployToStaging.Location = new System.Drawing.Point(9, 19);
+      this.rbDeployToStaging.Location = new System.Drawing.Point(189, 19);
       this.rbDeployToStaging.Name = "rbDeployToStaging";
-      this.rbDeployToStaging.Size = new System.Drawing.Size(168, 17);
+      this.rbDeployToStaging.Size = new System.Drawing.Size(14, 13);
       this.rbDeployToStaging.TabIndex = 0;
       this.rbDeployToStaging.TabStop = true;
-      this.rbDeployToStaging.Text = "Deploy to staging environment";
       this.rbDeployToStaging.UseVisualStyleBackColor = true;
       // 
       // btnAddCertificate
       // 
-      this.btnAddCertificate.Location = new System.Drawing.Point(15, 600);
+      this.btnAddCertificate.Location = new System.Drawing.Point(15, 471);
       this.btnAddCertificate.Name = "btnAddCertificate";
       this.btnAddCertificate.Size = new System.Drawing.Size(99, 23);
@@ -264,5 +274,5 @@
       // 
       this.label9.AutoSize = true;
-      this.label9.Location = new System.Drawing.Point(12, 626);
+      this.label9.Location = new System.Drawing.Point(12, 497);
       this.label9.Name = "label9";
       this.label9.Size = new System.Drawing.Size(186, 13);
@@ -272,7 +282,8 @@
       // tbInstanceCount
       // 
-      this.tbInstanceCount.Location = new System.Drawing.Point(15, 642);
+      this.errorProvider.SetIconAlignment(this.tbInstanceCount, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.tbInstanceCount.Location = new System.Drawing.Point(204, 493);
       this.tbInstanceCount.Name = "tbInstanceCount";
-      this.tbInstanceCount.Size = new System.Drawing.Size(488, 20);
+      this.tbInstanceCount.Size = new System.Drawing.Size(230, 20);
       this.tbInstanceCount.TabIndex = 12;
       this.tbInstanceCount.Validating += new System.ComponentModel.CancelEventHandler(this.tbInstanceCount_Validating);
@@ -281,5 +292,5 @@
       // 
       this.lblCores.AutoSize = true;
-      this.lblCores.Location = new System.Drawing.Point(471, 625);
+      this.lblCores.Location = new System.Drawing.Point(473, 497);
       this.lblCores.Name = "lblCores";
       this.lblCores.Size = new System.Drawing.Size(30, 13);
@@ -290,5 +301,5 @@
       // 
       this.label10.AutoSize = true;
-      this.label10.Location = new System.Drawing.Point(436, 625);
+      this.label10.Location = new System.Drawing.Point(436, 496);
       this.label10.Name = "label10";
       this.label10.Size = new System.Drawing.Size(40, 13);
@@ -298,5 +309,5 @@
       // progressBar
       // 
-      this.progressBar.Location = new System.Drawing.Point(15, 668);
+      this.progressBar.Location = new System.Drawing.Point(15, 519);
       this.progressBar.MarqueeAnimationSpeed = 10;
       this.progressBar.Name = "progressBar";
@@ -307,5 +318,5 @@
       // btnOk
       // 
-      this.btnOk.Location = new System.Drawing.Point(347, 668);
+      this.btnOk.Location = new System.Drawing.Point(347, 519);
       this.btnOk.Name = "btnOk";
       this.btnOk.Size = new System.Drawing.Size(75, 23);
@@ -317,5 +328,5 @@
       // btnCancel
       // 
-      this.btnCancel.Location = new System.Drawing.Point(428, 668);
+      this.btnCancel.Location = new System.Drawing.Point(428, 519);
       this.btnCancel.Name = "btnCancel";
       this.btnCancel.Size = new System.Drawing.Size(75, 23);
@@ -335,8 +346,10 @@
       // errorProvider
       // 
+      this.errorProvider.BlinkStyle = System.Windows.Forms.ErrorBlinkStyle.NeverBlink;
       this.errorProvider.ContainerControl = this;
       // 
       // gbStorageService
       // 
+      this.gbStorageService.Controls.Add(this.label12);
       this.gbStorageService.Controls.Add(this.cbCreateBlobIfNotExists);
       this.gbStorageService.Controls.Add(this.tbBlobContainer);
@@ -344,7 +357,7 @@
       this.gbStorageService.Controls.Add(this.cmbStorageServices);
       this.gbStorageService.Controls.Add(this.label8);
-      this.gbStorageService.Location = new System.Drawing.Point(15, 267);
+      this.gbStorageService.Location = new System.Drawing.Point(15, 209);
       this.gbStorageService.Name = "gbStorageService";
-      this.gbStorageService.Size = new System.Drawing.Size(486, 128);
+      this.gbStorageService.Size = new System.Drawing.Size(486, 88);
       this.gbStorageService.TabIndex = 4;
       this.gbStorageService.TabStop = false;
@@ -356,16 +369,16 @@
       this.cbCreateBlobIfNotExists.Checked = true;
       this.cbCreateBlobIfNotExists.CheckState = System.Windows.Forms.CheckState.Checked;
-      this.cbCreateBlobIfNotExists.Location = new System.Drawing.Point(9, 98);
+      this.cbCreateBlobIfNotExists.Location = new System.Drawing.Point(184, 66);
       this.cbCreateBlobIfNotExists.Name = "cbCreateBlobIfNotExists";
-      this.cbCreateBlobIfNotExists.Size = new System.Drawing.Size(182, 17);
+      this.cbCreateBlobIfNotExists.Size = new System.Drawing.Size(15, 14);
       this.cbCreateBlobIfNotExists.TabIndex = 4;
-      this.cbCreateBlobIfNotExists.Text = "Create blob container if not exists";
       this.cbCreateBlobIfNotExists.UseVisualStyleBackColor = true;
       // 
       // tbBlobContainer
       // 
-      this.tbBlobContainer.Location = new System.Drawing.Point(9, 72);
+      this.errorProvider.SetIconAlignment(this.tbBlobContainer, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.tbBlobContainer.Location = new System.Drawing.Point(184, 40);
       this.tbBlobContainer.Name = "tbBlobContainer";
-      this.tbBlobContainer.Size = new System.Drawing.Size(452, 20);
+      this.tbBlobContainer.Size = new System.Drawing.Size(296, 20);
       this.tbBlobContainer.TabIndex = 3;
       this.tbBlobContainer.Validating += new System.ComponentModel.CancelEventHandler(this.tbBlobContainer_Validating);
@@ -374,5 +387,5 @@
       // 
       this.label11.AutoSize = true;
-      this.label11.Location = new System.Drawing.Point(6, 56);
+      this.label11.Location = new System.Drawing.Point(6, 43);
       this.label11.Name = "label11";
       this.label11.Size = new System.Drawing.Size(96, 13);
@@ -383,7 +396,8 @@
       // 
       this.cmbStorageServices.FormattingEnabled = true;
-      this.cmbStorageServices.Location = new System.Drawing.Point(9, 32);
+      this.errorProvider.SetIconAlignment(this.cmbStorageServices, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.cmbStorageServices.Location = new System.Drawing.Point(184, 13);
       this.cmbStorageServices.Name = "cmbStorageServices";
-      this.cmbStorageServices.Size = new System.Drawing.Size(452, 21);
+      this.cmbStorageServices.Size = new System.Drawing.Size(296, 21);
       this.cmbStorageServices.TabIndex = 1;
       this.cmbStorageServices.Validating += new System.ComponentModel.CancelEventHandler(this.cmbStorageServices_Validating);
@@ -401,11 +415,9 @@
       // 
       this.rbVMSizeMedium.AutoSize = true;
-      this.rbVMSizeMedium.Location = new System.Drawing.Point(9, 42);
+      this.rbVMSizeMedium.Location = new System.Drawing.Point(76, 38);
       this.rbVMSizeMedium.Name = "rbVMSizeMedium";
-      this.rbVMSizeMedium.Size = new System.Drawing.Size(62, 17);
+      this.rbVMSizeMedium.Size = new System.Drawing.Size(14, 13);
       this.rbVMSizeMedium.TabIndex = 1;
       this.rbVMSizeMedium.TabStop = true;
-      this.rbVMSizeMedium.Text = "Medium";
-      this.toolTip.SetToolTip(this.rbVMSizeMedium, "2 CPU Cores; 3.5 GB Memory; $0.24");
       this.rbVMSizeMedium.UseVisualStyleBackColor = true;
       // 
@@ -414,11 +426,9 @@
       this.rbVMSizeSmall.AutoSize = true;
       this.rbVMSizeSmall.Checked = true;
-      this.rbVMSizeSmall.Location = new System.Drawing.Point(9, 19);
+      this.rbVMSizeSmall.Location = new System.Drawing.Point(76, 19);
       this.rbVMSizeSmall.Name = "rbVMSizeSmall";
-      this.rbVMSizeSmall.Size = new System.Drawing.Size(50, 17);
+      this.rbVMSizeSmall.Size = new System.Drawing.Size(14, 13);
       this.rbVMSizeSmall.TabIndex = 0;
       this.rbVMSizeSmall.TabStop = true;
-      this.rbVMSizeSmall.Text = "Small";
-      this.toolTip.SetToolTip(this.rbVMSizeSmall, "1 CPU Core; 1.75 GB Memory; $0.12");
       this.rbVMSizeSmall.UseVisualStyleBackColor = true;
       // 
@@ -426,11 +436,9 @@
       // 
       this.rbVMSizeLarge.AutoSize = true;
-      this.rbVMSizeLarge.Location = new System.Drawing.Point(9, 65);
+      this.rbVMSizeLarge.Location = new System.Drawing.Point(76, 57);
       this.rbVMSizeLarge.Name = "rbVMSizeLarge";
-      this.rbVMSizeLarge.Size = new System.Drawing.Size(52, 17);
+      this.rbVMSizeLarge.Size = new System.Drawing.Size(14, 13);
       this.rbVMSizeLarge.TabIndex = 2;
       this.rbVMSizeLarge.TabStop = true;
-      this.rbVMSizeLarge.Text = "Large";
-      this.toolTip.SetToolTip(this.rbVMSizeLarge, "4 CPU Cores; 7 GB Memory; $0.48");
       this.rbVMSizeLarge.UseVisualStyleBackColor = true;
       // 
@@ -438,20 +446,20 @@
       // 
       this.rbVMSizeExtraLarge.AutoSize = true;
-      this.rbVMSizeExtraLarge.Location = new System.Drawing.Point(9, 88);
+      this.rbVMSizeExtraLarge.Location = new System.Drawing.Point(76, 76);
       this.rbVMSizeExtraLarge.Name = "rbVMSizeExtraLarge";
-      this.rbVMSizeExtraLarge.Size = new System.Drawing.Size(79, 17);
+      this.rbVMSizeExtraLarge.Size = new System.Drawing.Size(14, 13);
       this.rbVMSizeExtraLarge.TabIndex = 3;
       this.rbVMSizeExtraLarge.TabStop = true;
-      this.rbVMSizeExtraLarge.Text = "Extra Large";
-      this.toolTip.SetToolTip(this.rbVMSizeExtraLarge, "8 CPU Cores; 14 GB Memory; $0.96");
       this.rbVMSizeExtraLarge.UseVisualStyleBackColor = true;
       // 
       // gbDeploymentOptions
       // 
+      this.gbDeploymentOptions.Controls.Add(this.label14);
+      this.gbDeploymentOptions.Controls.Add(this.label13);
       this.gbDeploymentOptions.Controls.Add(this.rbDeployToProduction);
       this.gbDeploymentOptions.Controls.Add(this.rbDeployToStaging);
-      this.gbDeploymentOptions.Location = new System.Drawing.Point(15, 401);
+      this.gbDeploymentOptions.Location = new System.Drawing.Point(15, 302);
       this.gbDeploymentOptions.Name = "gbDeploymentOptions";
-      this.gbDeploymentOptions.Size = new System.Drawing.Size(486, 69);
+      this.gbDeploymentOptions.Size = new System.Drawing.Size(486, 58);
       this.gbDeploymentOptions.TabIndex = 5;
       this.gbDeploymentOptions.TabStop = false;
@@ -460,15 +468,95 @@
       // gbVMSize
       // 
+      this.gbVMSize.Controls.Add(this.label18);
+      this.gbVMSize.Controls.Add(this.label17);
+      this.gbVMSize.Controls.Add(this.label16);
+      this.gbVMSize.Controls.Add(this.label15);
       this.gbVMSize.Controls.Add(this.rbVMSizeExtraLarge);
       this.gbVMSize.Controls.Add(this.rbVMSizeSmall);
       this.gbVMSize.Controls.Add(this.rbVMSizeLarge);
       this.gbVMSize.Controls.Add(this.rbVMSizeMedium);
-      this.gbVMSize.Location = new System.Drawing.Point(15, 476);
+      this.gbVMSize.Location = new System.Drawing.Point(15, 364);
       this.gbVMSize.Name = "gbVMSize";
-      this.gbVMSize.Size = new System.Drawing.Size(486, 118);
+      this.gbVMSize.Size = new System.Drawing.Size(486, 101);
       this.gbVMSize.TabIndex = 6;
       this.gbVMSize.TabStop = false;
       this.gbVMSize.Text = "Virtual machine size";
       // 
+      // label7
+      // 
+      this.label7.AutoSize = true;
+      this.label7.Location = new System.Drawing.Point(12, 60);
+      this.label7.Name = "label7";
+      this.label7.Size = new System.Drawing.Size(136, 13);
+      this.label7.TabIndex = 17;
+      this.label7.Text = "Create new hosted service:";
+      // 
+      // label12
+      // 
+      this.label12.AutoSize = true;
+      this.label12.Location = new System.Drawing.Point(6, 66);
+      this.label12.Name = "label12";
+      this.label12.Size = new System.Drawing.Size(166, 13);
+      this.label12.TabIndex = 5;
+      this.label12.Text = "Create blob container if not exists:";
+      // 
+      // label13
+      // 
+      this.label13.AutoSize = true;
+      this.label13.Location = new System.Drawing.Point(9, 19);
+      this.label13.Name = "label13";
+      this.label13.Size = new System.Drawing.Size(153, 13);
+      this.label13.TabIndex = 2;
+      this.label13.Text = "Deploy to staging environment:";
+      // 
+      // label14
+      // 
+      this.label14.AutoSize = true;
+      this.label14.Location = new System.Drawing.Point(9, 38);
+      this.label14.Name = "label14";
+      this.label14.Size = new System.Drawing.Size(174, 13);
+      this.label14.TabIndex = 3;
+      this.label14.Text = "Deyploy to production environment:";
+      // 
+      // label15
+      // 
+      this.label15.AutoSize = true;
+      this.label15.Location = new System.Drawing.Point(9, 19);
+      this.label15.Name = "label15";
+      this.label15.Size = new System.Drawing.Size(32, 13);
+      this.label15.TabIndex = 4;
+      this.label15.Text = "Small";
+      this.toolTip.SetToolTip(this.label15, "1 CPU Core; 1.75 GB Memory; $0.12");
+      // 
+      // label16
+      // 
+      this.label16.AutoSize = true;
+      this.label16.Location = new System.Drawing.Point(9, 38);
+      this.label16.Name = "label16";
+      this.label16.Size = new System.Drawing.Size(44, 13);
+      this.label16.TabIndex = 5;
+      this.label16.Text = "Medium";
+      this.toolTip.SetToolTip(this.label16, "1 CPU Core; 1.75 GB Memory; $0.12");
+      // 
+      // label17
+      // 
+      this.label17.AutoSize = true;
+      this.label17.Location = new System.Drawing.Point(9, 57);
+      this.label17.Name = "label17";
+      this.label17.Size = new System.Drawing.Size(34, 13);
+      this.label17.TabIndex = 6;
+      this.label17.Text = "Large";
+      this.toolTip.SetToolTip(this.label17, "4 CPU Cores; 7 GB Memory; $0.48");
+      // 
+      // label18
+      // 
+      this.label18.AutoSize = true;
+      this.label18.Location = new System.Drawing.Point(9, 76);
+      this.label18.Name = "label18";
+      this.label18.Size = new System.Drawing.Size(61, 13);
+      this.label18.TabIndex = 7;
+      this.label18.Text = "Extra Large";
+      this.toolTip.SetToolTip(this.label18, "8 CPU Cores; 14 GB Memory; $0.96");
+      // 
       // AddAzureServiceDialog
       // 
@@ -476,5 +564,6 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.AutoValidate = System.Windows.Forms.AutoValidate.EnableAllowFocusChange;
-      this.ClientSize = new System.Drawing.Size(517, 700);
+      this.ClientSize = new System.Drawing.Size(516, 557);
+      this.Controls.Add(this.label7);
       this.Controls.Add(this.gbVMSize);
       this.Controls.Add(this.gbDeploymentOptions);
@@ -558,4 +647,12 @@
     private System.Windows.Forms.GroupBox gbVMSize;
     private System.Windows.Forms.GroupBox gbDeploymentOptions;
+    private System.Windows.Forms.Label label7;
+    private System.Windows.Forms.Label label12;
+    private System.Windows.Forms.Label label18;
+    private System.Windows.Forms.Label label17;
+    private System.Windows.Forms.Label label16;
+    private System.Windows.Forms.Label label15;
+    private System.Windows.Forms.Label label14;
+    private System.Windows.Forms.Label label13;
   }
 }